Автор Тема: OPI_PC wifi  (Прочитано 7963 раз)

Жорик

  • Гость
Re: OPI_PC wifi
« Ответ #15 : Март 30, 2016, 10:49:19 pm »
Помучаю еще, но больше склоняюсь к покупке более подходящего 8188eu. AlDemin, спасибо за помощь.

Оффлайн eberle

Re: OPI_PC wifi
« Ответ #16 : Январь 23, 2017, 11:32:41 am »
Добрый день имеется VirtualBox с установленной Ubunty 12.10 имеются исходники ядра 3.4.39 и драйвер под Линукс вай фай свистка Tenda W311MI (под Линукс) в инструкции указано:

Build Instructions: 
====================

1> $tar -xvzf DPB_RT2870_Linux_STA_x.x.x.x.tgz
    go to "./DPB_RT2870_Linux_STA_x.x.x.x" directory.
   
2> In Makefile
    set the "MODE = STA" in Makefile and chose the TARGET to Linux by set "TARGET = LINUX"
    define the linux kernel source include file path LINUX_SRC
    modify to meet your need.

3> In os/linux/config.mk
   define the GCC and LD of the target machine
   define the compiler flags CFLAGS
   modify to meet your need.
   ** Build for being controlled by NetworkManager or wpa_supplicant wext functions
      Please set 'HAS_WPA_SUPPLICANT=y' and 'HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=y'.
      => #>cd wpa_supplicant-x.x
      => #>./wpa_supplicant -Dwext -ira0 -c wpa_supplicant.conf -d
   ** Build for being controlled by WpaSupplicant with Ralink Driver
      Please set 'HAS_WPA_SUPPLICANT=y' and 'HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=n'.
      => #>cd wpa_supplicant-0.5.7
      => #>./wpa_supplicant -Dralink -ira0 -c wpa_supplicant.conf -d

4> $make
   # compile driver source code
   # To fix "error: too few arguments to function ЎҐiwe_stream_add_event"
     => $patch -i os/linux/sta_ioctl.c.patch os/linux/sta_ioctl.c

вопрос как собрать драйвер под ядро 3.4.39 в Линуксе чайникно большую часть понимаю))заранее спасибо